rte_flow_action_port_id(3)

NAME
rte_flow_action_port_id

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t original:1
uint32_t reserved:31
uint32_t id

Detailed Description

Deprecated

See also
    RTE_FLOW_ACTION_TYPE_PORT_REPRESENTOR

    RTE_FLOW_ACTION_TYPE_REPRESENTED_PORT

RTE_FLOW_ACTION_TYPE_PORT_ID

Directs matching traffic to a given DPDK port ID.

See also
    RTE_FLOW_ITEM_TYPE_PORT_ID

Definition at line 3552 of file rte_flow.h.

Field Documentation

  uint32_t original
Use original DPDK port ID if possible.

Definition at line 3553 of file rte_flow.h.

  uint32_t reserved
Reserved, must be zero.

Definition at line 3554 of file rte_flow.h.

  uint32_t id
DPDK port ID.

Definition at line 3555 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.